//---------------------------------------------------------------------------

#include <vcl.h>
#include <iostream>
#include <iterator>
#include <vector>
#include <algorithm>

#include <conio.h> //  getch()

#pragma hdrstop

//---------------------------------------------------------------------------

#pragma argsused
using namespace std;


std::string ToRus(const std::string &in)
{
  char *buff = new char [in.length()+1];
  CharToOem(in.c_str(),buff);
  std::string out(buff);
  delete [] buff;
  return out;
}

int main(int argc, char* argv[])
{
  vector<int> coll;

  //    1  9 
  for (int i=1; i<=9; ++i) {
    coll.push_back(i); 
  }

  //      5 
  vector<int>::iterator pos; 
  pos = find (coll.begin(),coll.end(),5);

  //  ,     pos 
  cout << ToRus(",    pos: ");
  cout << *pos << endl;

  //      rpos 
  vector<int>::reverse_iterator rpos(pos);

  cout << ToRus(",    rpos: ");
  //  ,      rpos 
  cout << *rpos << endl;

  getch();
  return 0;
}

//---------------------------------------------------------------------------